
From: Geert Uytterhoeven <geert@linux-m68k.org>

M68k: Remove `extern' at function definition (found by sparse)

Signed-off-by: Geert Uytterhoeven <geert@linux-m68k.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/m68k/kernel/traps.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/m68k/kernel/traps.c~m68k-sparse-extern arch/m68k/kernel/traps.c
--- 25/arch/m68k/kernel/traps.c~m68k-sparse-extern	2004-07-26 17:25:36.085490504 -0700
+++ 25-akpm/arch/m68k/kernel/traps.c	2004-07-26 17:25:36.089489896 -0700
@@ -990,7 +990,7 @@ void show_registers(struct pt_regs *regs
 	printk ("\n");
 }
 
-extern void show_stack(struct task_struct *task, unsigned long *stack)
+void show_stack(struct task_struct *task, unsigned long *stack)
 {
 	unsigned long *endstack;
 	int i;
_
